Get RoutesAsk AIget https://v3.api.hypertrack.com/orders/routes/Retrieve routes based on the filter parameters providedQuery Paramscompleted_at_datestring | nullDefaults to nullFilter for routes completed on specified date (YYYY-MM-DD)completed_at_fromstring | nullDefaults to nullFilter for routes completed after specified timestamp (YYYY-MM-DD HH:mm:ss)completed_at_tostring | nullDefaults to nullFilter for routes completed before specified timestamp (YYYY-MM-DD HH:mm:ss)created_at_datestring | nullDefaults to nullFilter for routes created on specified date (YYYY-MM-DD)created_at_fromstring | nullDefaults to nullFilter for routes created after specified timestamp (YYYY-MM-DD HH:mm:ss)created_at_tostring | nullDefaults to nullFilter for routes created before specified timestamp (YYYY-MM-DD HH:mm:ss)worker_handlestring | nullDefaults to nullUnique customer provided identifier of the worker to used retrieve routes associated with the specified workerdriver_handlestring | nullDefaults to nulldeprecatedUnique customer provided identifier of the driver to used retrieve routes associated with the specified driverops_group_handlestring | nullDefaults to nullFilter for routes on specified ops group handle or list of comma separated handlesplan_modestring | nullenumDefaults to nullFilter for routes on specified plan mode (manual -> routes created manually, scheduled -> routes created automatically)on_demandscheduledmanualAllowed:on_demandscheduledmanualplanned_at_datestring | nullDefaults to nullFilter for routes planned on specified date (YYYY-MM-DD).planned_at_fromstring | nullDefaults to nullFilter for routes planned after specified timestamp (YYYY-MM-DD HH:mm:ss)planned_at_tostring | nullDefaults to nullFilter for routes planned before specified timestamp (YYYY-MM-DD HH:mm:ss)region_filterstring | nullDefaults to nullJSON object containing city, state, or country used to filter routesroute_metadata_filterstring | nullDefaults to nullJSON object representing route metadata to be used to filter routessort_directionstring | nullenumDefaults to nullSort route responses by asc or desc on the created_at timestampascdescAllowed:ascdescstart_by_datestring | nullDefaults to nullDate (YYYY-MM-DD) used as a filter to retrieve routes that need to start by the given datestart_by_fromstring | nullDefaults to nullTimestamp (YYYY-MM-DD HH:mm:ss) of the start of window to retrieve routes that need to start within a timeframestart_by_tostring | nullDefaults to nullTimestamp (YYYY-MM-DD HH:mm:ss) of the end of window to retrieve routes that need to start within a timeframestarted_at_datestring | nullDefaults to nullDate (YYYY-MM-DD) used as a filter to retrieve routes that started on a given datestarted_at_fromstring | nullDefaults to nullTimestamp (YYYY-MM-DD HH:mm:ss) of the start of window to retrieve routes that started within a timeframestarted_at_tostring | nullDefaults to nullTimestamp (YYYY-MM-DD HH:mm:ss) of the end of window to retrieve routes that started within a timeframescheduled_start_at_fromstring | nullDefaults to nullTimestamp (YYYY-MM-DD HH:mm:ss) of the start of window to retrieve routes that scheduled start within a timeframescheduled_start_at_tostring | nullDefaults to nullTimestamp (YYYY-MM-DD HH:mm:ss) of the end of window to retrieve routes that scheduled start within a timeframestatusstring | nullDefaults to nullFilter for routes that are planned, assigned, tracking, or completed, to filter for multiple statuses, pass them as comma separated valuestrack_modestring | nullenumDefaults to nullFilter for routes that are on_time, flex, on_shift, pre_shift or full_shifton_timeflexfull_shifton_shiftpre_shiftAllowed:on_timeflexfull_shifton_shiftpre_shiftpagination_tokenstring | nullDefaults to nullEncoded value provided by our API to retrieve the next page of routessearch_termstring | nullDefaults to nullString representing the search term. Search will be done on route_handle, ops_group_handle, worker_handle and metadata fields.limitinteger | nullDefaults to nullMax results to fetchdevice_switch_modeenumDefaults to nullFilter for routes with a device_switch_modemanualloginclosest_to_destinationAllowed:manualloginclosest_to_destinationplan_idstring | nullDefaults to nullFilter by plan iddevice_idstring | nullDefaults to nullFilter by device iddevice_metadata_filterstring | nullDefaults to nullJSON object representing device metadata to be used to filter routesResponses 200Successful response 401Authentication error 422Validation errorUpdated 7 months ago